# PCLinuxOS Copyright by Bill Reynolds (Texstar)

%define prefix /usr
%define name tanglet
%define version 1.4.0
%define release %mkrel 1
%define url http://gottcode.org/tanglet/

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Freeware
Group:		Games/Puzzles
URL:		%{url}
Source:		%{name}-%{version}-src.tar.xz
Summary:	A single player variant of Boggle
Summary(de):	Alleinspieler Variante von Boggle
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	qt5core-devel
BuildRequires:	qt5gui-devel
BuildRequires:	%{_lib}qt5base5-devel
BuildConflicts: %{_lib}qt4-devel
Requires:	%{_lib}qt5core5	
Obsoletes:	%name < %version

%description
Tanglet is a single player word finding game based on Boggle. 
Its goal is to list as many words as you can before the time 
runs out. Every time you find a new word, you are given more 
time. Each word must be at least three letters long.

You can join letters horizontally, vertically, or diagonally 
in any direction to make a word, so as long as the letter 
cubes are next to each other on the board. You can not reuse 
the same letter cubes in a single word.

#german
%description -l de
Tanglet ist ein Alleinspieler-Wortfindung Spiel basierend auf 
Boggle. Ziel ist es, so viele Wörter aufzulisten, bis die 
Zeit abgelaufen ist. Jedes Mal, wenn Sie ein neues Wort gefunden 
haben, wird ihnen Zeit angerechnet. Jedes Wort muss aus mindestens 
drei Buchstaben bestehen.

Sie können Buchstaben horizontal, vertikal oder diagonal in eine 
beliebige Richtung ansetzen, um ein Wort zu bilden, so lange, wie 
die Buchstaben Würfel nebeneinander auf der Platine liegen. Buchstaben 
die einmal in einen Wort genommen wurden, können nicht wieder genommen 
werden.

%prep

%setup -q -n %{name}-%{version}

%build

qmake PREFIX=%{prefix}

%make

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=%{buildroot}


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=Tanglet
GenericName=Boggle Game
GenericName[de]=Boggle Spiel
Comment=%{summary}
Comment[de]=%{summary}
Icon=tanglet
Exec=tanglet %F
Terminal=false
Categories=GNOME;GTK;Game;LogicGame;X-MandrivaLinux-MoreApplications-Games-Puzzles;
EOF


%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%doc COPYING CREDITS ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/tanglet.xpm
%{_datadir}/%{name}/data/*
%{_datadir}/%{name}/translations/tanglet_*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%{_mandir}/man6/%{name}.*.bz2

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Sun Jan 01 2017 adrianomorselli <adrianomorselli> 1.4.0-1uplos2017
- rebuild

* Sun Oct 09 2016 daniel <meisssw01 at gmail.com> 1.4.0-1pclos2016
- update 

* Sat Dec 07 2013 daniel <meisssw01 at gmail.com> 1.2.2-1free2013
- upstream tarball

* Wed Feb 22 2012 Neal <nealbrks0 at gmail dot com> 1.2.1-1pclos2012
- process

* Wed Feb 22 2012 leiche <meisssw01 at gmail.com> 1.2.1-1pclos2012
- initial package
